> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Bulk action on requests

POST https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/{bulk_action_type}
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/requests/postapi-v-1-requests-bulk-actions-bulk-action-type

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/requests/bulk-actions/{bulk_action_type}:
    post:
      operationId: postapi-v-1-requests-bulk-actions-bulk-action-type
      summary: Bulk action on requests
      tags:
        - subpackage_requests
      parameters:
        - name: bulk_action_type
          in: path
          description: The bulk action type
          required: true
          schema:
            $ref: >-
              #/components/schemas/ApiV1RequestsBulkActionsBulkActionTypePostParametersBulkActionType
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Requests_postapi_v1_requests_bulk_actions__bulk_action_type_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                display_ids:
                  type: array
                  items:
                    type: string
                assignee:
                  type: string
                tags:
                  type: array
                  items:
                    type: integer
                    format: int64
                option_label:
                  type: string
                sub_option_label:
                  type: string
                all_children:
                  type: boolean
                major_incident_display_id:
                  type: string
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1RequestsBulkActionsBulkActionTypePostParametersBulkActionType:
      type: string
      enum:
        - assign-agent
        - close
        - delete
        - status_update
        - category
        - add_tags
        - link-to-major-incident
      title: ApiV1RequestsBulkActionsBulkActionTypePostParametersBulkActionType
    Requests_postapi_v1_requests_bulk_actions__bulk_action_type_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Requests_postapi_v1_requests_bulk_actions__bulk_action_type_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent"

payload = {
    "display_ids": ["REQ-20240615-001"],
    "assignee": "agent.jane.doe@example.com",
    "tags": [1024, 2048],
    "option_label": "Network Issue",
    "sub_option_label": "VPN Connectivity",
    "all_children": True,
    "major_incident_display_id": "MI-20240610-007"
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"display_ids":["REQ-20240615-001"],"assignee":"agent.jane.doe@example.com","tags":[1024,2048],"option_label":"Network Issue","sub_option_label":"VPN Connectivity","all_children":true,"major_incident_display_id":"MI-20240610-007"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent"

	payload := strings.NewReader("{\n  \"display_ids\": [\n    \"REQ-20240615-001\"\n  ],\n  \"assignee\": \"agent.jane.doe@example.com\",\n  \"tags\": [\n    1024,\n    2048\n  ],\n  \"option_label\": \"Network Issue\",\n  \"sub_option_label\": \"VPN Connectivity\",\n  \"all_children\": true,\n  \"major_incident_display_id\": \"MI-20240610-007\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"display_ids\": [\n    \"REQ-20240615-001\"\n  ],\n  \"assignee\": \"agent.jane.doe@example.com\",\n  \"tags\": [\n    1024,\n    2048\n  ],\n  \"option_label\": \"Network Issue\",\n  \"sub_option_label\": \"VPN Connectivity\",\n  \"all_children\": true,\n  \"major_incident_display_id\": \"MI-20240610-007\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"display_ids\": [\n    \"REQ-20240615-001\"\n  ],\n  \"assignee\": \"agent.jane.doe@example.com\",\n  \"tags\": [\n    1024,\n    2048\n  ],\n  \"option_label\": \"Network Issue\",\n  \"sub_option_label\": \"VPN Connectivity\",\n  \"all_children\": true,\n  \"major_incident_display_id\": \"MI-20240610-007\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent', [
  'body' => '{
  "display_ids": [
    "REQ-20240615-001"
  ],
  "assignee": "agent.jane.doe@example.com",
  "tags": [
    1024,
    2048
  ],
  "option_label": "Network Issue",
  "sub_option_label": "VPN Connectivity",
  "all_children": true,
  "major_incident_display_id": "MI-20240610-007"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"display_ids\": [\n    \"REQ-20240615-001\"\n  ],\n  \"assignee\": \"agent.jane.doe@example.com\",\n  \"tags\": [\n    1024,\n    2048\n  ],\n  \"option_label\": \"Network Issue\",\n  \"sub_option_label\": \"VPN Connectivity\",\n  \"all_children\": true,\n  \"major_incident_display_id\": \"MI-20240610-007\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "display_ids": ["REQ-20240615-001"],
  "assignee": "agent.jane.doe@example.com",
  "tags": [1024, 2048],
  "option_label": "Network Issue",
  "sub_option_label": "VPN Connectivity",
  "all_children": true,
  "major_incident_display_id": "MI-20240610-007"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/assign-agent")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```